Package ghidra.app.emulator.state

# Class DumpMiscState

java.lang.Object
ghidra.app.emulator.state.DumpMiscState

All Implemented Interfaces:
  `RegisterState`

public class DumpMiscState extends Object implements RegisterState

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DumpMiscState(Language lang)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  `Set<String>`
  `getKeys()`
  `List<byte[]>`
  `getVals(String key)`
  Get the byte array value for a register name
  `List<Boolean>`
  `isInitialized(String key)`
  Check if the register is initialized
  `void`
  `setVals(String key, byte[] vals, boolean setInitiailized)`
  `void`
  `setVals(String key, long val, int size, boolean setInitiailized)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DumpMiscState

    public DumpMiscState(Language lang)

- ## Method Details

  - ### dispose

    public void dispose()
    Specified by:
      `dispose` in interface `RegisterState`

  - ### getKeys

    public Set<String> getKeys()
    Specified by:
      `getKeys` in interface `RegisterState`

  - ### getVals

    public List<byte[]> getVals(String key)
    Description copied from interface: `RegisterState`
    Get the byte array value for a register name
    Specified by:
      `getVals` in interface `RegisterState`
    Parameters:
      `key` - the register name
    Returns:
      a list (used as an optional) containing at most the one byte array giving the register's value. If empty, the value if unspecified.

  - ### isInitialized

    public List<Boolean> isInitialized(String key)
    Description copied from interface: `RegisterState`
    Check if the register is initialized
    Specified by:
      `isInitialized` in interface `RegisterState`
    Parameters:
      `key` - the register name
    Returns:
      a list (used as an optional) containing at most the one initialization state. True if initialized, false if not. Empty if unspecified.

  - ### setVals

    public void setVals(String key, byte[] vals, boolean setInitiailized)
    Specified by:
      `setVals` in interface `RegisterState`

  - ### setVals

    public void setVals(String key, long val, int size, boolean setInitiailized)
    Specified by:
      `setVals` in interface `RegisterState`